### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-file/ecl-file-items/ecl-file-items.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-file-items`
templateUrl | `./ecl-file-items.component.html`

### Index

###### Properties

- items

###### Methods

- getItemsCount
- onToggleClick
- getCssClasses

###### Inputs

- isExpanded
- label
- class
- e2eAttr

###### Outputs

- toggle

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

isExpanded
Type : `boolean | any`
Default value : `false`

label
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

toggle
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

getItemsCount
`getItemsCount()`
Returns : `any`

onToggleClick
`onToggleClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

items
Type : `QueryList<EclFileItemComponent>`
Decorators : `@ContentChildren(EclFileItemComponent)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""